# Uses of Class
ij.ImageStack

Packages that use ImageStack
Package
Description
ij
ij.gui
ij.plugin
ij.plugin.filter
ij.process
ij.util

## Uses of ImageStack in ij

Subclasses of ImageStack in ij
Modifier and Type
Class
Description
`class`
`VirtualStack`
This class represents an array of disk-resident images.
Methods in ij that return ImageStack
Modifier and Type
Method
Description
`ImageStack`
ImageStack.`convertToFloat()`
Creates a float version of this stack.
`static ImageStack`
ImageStack.`create(int width, int height, int depth, int bitdepth)`
Creates a new ImageStack.
`static ImageStack`
ImageStack.`create(ImagePlus[] images)`
Creates an ImageStack from an ImagePlus array.
`ImageStack`
ImagePlus.`createEmptyStack()`
Returns an empty image stack that has the same width, height and color table as this image.
`ImageStack`
ImageStack.`crop(int x, int y, int z, int width, int height, int depth)`
Creates a new stack by cropping this one.
`ImageStack`
ImageStack.`duplicate()`
Duplicates this stack.
`ImageStack`
ImagePlus.`getImageStack()`
Returns the base image stack.
`ImageStack`
ImagePlus.`getStack()`
Returns the image stack.
`ImageStack`
VirtualStack.`sortDicom(String[] strings, String[] info, int maxDigits)`
Methods in ij with parameters of type ImageStack
Modifier and Type
Method
Description
`void`
ImagePlus.`setStack(ImageStack stack)`
Replaces the image with the specified stack and updates the display.
`void`
ImagePlus.`setStack(ImageStack newStack, int channels, int slices, int frames)`
`void`
ImagePlus.`setStack(String title, ImageStack newStack)`
Replaces the image with the specified stack and updates the display.
Constructors in ij with parameters of type ImageStack
Modifier
Constructor
Description
``
`ImagePlus(String title, ImageStack stack)`
Constructs an ImagePlus from a stack.

## Uses of ImageStack in ij.gui

Subclasses of ImageStack in ij.gui
Modifier and Type
Class
Description
`class`
`PlotVirtualStack`
This is a virtual stack of frozen plots.

## Uses of ImageStack in ij.plugin

Subclasses of ImageStack in ij.plugin
Modifier and Type
Class
Description
`class`
`AVI_Reader`
ImageJ Plugin for reading an AVI file into an image stack (one slice per video frame) Restrictions and Notes: - Only few formats supported: - uncompressed 8 bit with palette (=LUT) - uncompressed 8 invalid input: '&' 16 bit grayscale - uncompressed 24 invalid input: '&' 32 bit RGB (alpha channel ignored) - uncompressed 32 bit AYUV (alpha channel ignored) - various YUV 4:2:2 and 4:2:0 compressed formats (i.e., formats with full luminance resolution, but reduced chroma resolution - png or jpeg-encoded individual frames.
`class`
`FileInfoVirtualStack`
This plugin opens a multi-page TIFF file, or a set of raw images, as a virtual stack.
`class`
`ListVirtualStack`
This plugin opens images specified by list of file paths as a virtual stack.
Methods in ij.plugin that return ImageStack
Modifier and Type
Method
Description
`ImageStack`
StackCombiner.`combineHorizontally(ImageStack stack1, ImageStack stack2)`
`ImageStack`
StackCombiner.`combineVertically(ImageStack stack1, ImageStack stack2)`
`ImageStack`
CanvasResizer.`expandStack(ImageStack stackOld, int wNew, int hNew, int xOff, int yOff)`
`static ImageStack`
Filters3D.`filter(ImageStack stackorig, int filter, float vx, float vy, float vz)`
`static ImageStack`
ChannelSplitter.`getChannel(ImagePlus imp, int c)`
Returns, as an ImageStack, the specified channel, where 'c' must be greater than zero and less than or equal to the number of channels in the image.
`ImageStack`
AVI_Reader.`makeStack(String path, int firstFrame, int lastFrame, boolean isVirtual, boolean convertToGray, boolean flipVertical)`
Create an ImageStack from an avi file with given path.
`ImageStack`
StackMaker.`makeStack(ImageProcessor ip, int rows, int columns, int border)`
`ImageStack`
RGBStackMerge.`mergeStacks(int w, int h, int d, ImageStack red, ImageStack green, ImageStack blue, boolean keep)`
`static ImageStack`
RGBStackMerge.`mergeStacks(ImageStack red, ImageStack green, ImageStack blue, boolean keepSource)`
`ImageStack`
PGM_Reader.`openFile(String path)`
`static ImageStack[]`
ChannelSplitter.`splitRGB(ImageStack rgb, boolean keepSource)`
Splits the specified RGB stack into three 8-bit grayscale stacks.
`ImageStack`
Straightener.`straightenStack(ImagePlus imp, Roi roi, int width)`
Methods in ij.plugin with parameters of type ImageStack
Modifier and Type
Method
Description
`ImageStack`
StackCombiner.`combineHorizontally(ImageStack stack1, ImageStack stack2)`
`ImageStack`
StackCombiner.`combineVertically(ImageStack stack1, ImageStack stack2)`
`ImagePlus`
RGBStackMerge.`createComposite(int w, int h, int d, ImageStack[] stacks, boolean keep)`
Deprecated; replaced by mergeChannels().
`ImageStack`
CanvasResizer.`expandStack(ImageStack stackOld, int wNew, int hNew, int xOff, int yOff)`
`static ImageStack`
Filters3D.`filter(ImageStack stackorig, int filter, float vx, float vy, float vz)`
`ImageStack`
RGBStackMerge.`mergeStacks(int w, int h, int d, ImageStack red, ImageStack green, ImageStack blue, boolean keep)`
`static ImageStack`
RGBStackMerge.`mergeStacks(ImageStack red, ImageStack green, ImageStack blue, boolean keepSource)`
`boolean`
StackReducer.`showDialog(ImageStack stack)`
`static ImageStack[]`
ChannelSplitter.`splitRGB(ImageStack rgb, boolean keepSource)`
Splits the specified RGB stack into three 8-bit grayscale stacks.

## Uses of ImageStack in ij.plugin.filter

Fields in ij.plugin.filter declared as ImageStack
Modifier and Type
Field
Description
`ImageStack`
RGBStackSplitter.`blue`
`ImageStack`
RGBStackSplitter.`green`
`ImageStack`
RGBStackSplitter.`red`
Methods in ij.plugin.filter with parameters of type ImageStack
Modifier and Type
Method
Description
`void`
RGBStackSplitter.`split(ImageStack rgb, boolean keepSource)`
Deprecated; replaced by ChannelSplitter.splitRGB().

## Uses of ImageStack in ij.process

Methods in ij.process that return ImageStack
Modifier and Type
Method
Description
`ImageStack`
StackProcessor.`crop(int x, int y, int width, int height)`
Crops the stack to the specified rectangle.
`ImageStack`
FHT.`getComplexTransform()`
Converts this FHT to a complex Fourier transform and returns it as a two slice stack.
`ImageStack`
ColorProcessor.`getHSB32Stack()`
Returns an ImageStack with three 32-bit slices, representing hue, saturation and brightness
`ImageStack`
ColorProcessor.`getHSBStack()`
Returns an ImageStack with three 8-bit slices, representing hue, saturation and brightness
`ImageStack`
StackProcessor.`resize(int newWidth, int newHeight)`
Creates a new stack with dimensions 'newWidth' x 'newHeight'.
`ImageStack`
StackProcessor.`resize(int newWidth, int newHeight, boolean averageWhenDownsizing)`
`ImageStack`
StackProcessor.`rotateLeft()`
`ImageStack`
StackProcessor.`rotateRight()`
Methods in ij.process with parameters of type ImageStack
Modifier and Type
Method
Description
`void`
StackProcessor.`copyBits(ImageStack src, int xloc, int yloc, int mode)`
`void`
StackProcessor.`filter3D(ImageStack out, float radx, float rady, float radz, int zmin, int zmax, int filter)`
3D filter using threads
`void`
BinaryInterpolator.`run(ImageStack stack)`
Constructors in ij.process with parameters of type ImageStack
Modifier
Constructor
Description
``
`StackProcessor(ImageStack stack)`
Constructs a StackProcessor from a stack.
``
`StackProcessor(ImageStack stack, ImageProcessor ip)`
Constructs a StackProcessor from a stack.

## Uses of ImageStack in ij.util

Methods in ij.util that return ImageStack
Modifier and Type
Method
Description
`static ImageStack`
DicomTools.`sort(ImageStack stack)`
Sorts a DICOM stack by image number.
Methods in ij.util with parameters of type ImageStack
Modifier and Type
Method
Description
`static double`
DicomTools.`getVoxelDepth(ImageStack stack)`
Calculates the voxel depth of the specified DICOM stack based on the distance between the first and last slices.
`static ImageStack`
DicomTools.`sort(ImageStack stack)`
Sorts a DICOM stack by image number.